Examines the call stack and variables of a running application without stopping or slowing it down.
- REST Resource: v2.controller.debuggees
- REST Resource: v2.controller.debuggees.breakpoints
- REST Resource: v2.debugger.debuggees
- REST Resource: v2.debugger.debuggees.breakpoints
Service: clouddebugger.googleapis.com
We recommend that you call this service using Google-provided client libraries. If your application needs to call this service using your own libraries, you should use the following information when making the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service may have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://clouddebugger.googleapis.com
REST Resource: v2.controller.debuggees
| Methods | |
|---|---|
register |
POST /v2/controller/debuggees/register Registers the debuggee with the controller service. |
REST Resource: v2.controller.debuggees.breakpoints
| Methods | |
|---|---|
list |
GET /v2/controller/debuggees/{debuggeeId}/breakpoints Returns the list of all active breakpoints for the debuggee. |
update |
PUT /v2/controller/debuggees/{debuggeeId}/breakpoints/{breakpoint.id} Updates the breakpoint state or mutable fields. |
REST Resource: v2.debugger.debuggees
| Methods | |
|---|---|
list |
GET /v2/debugger/debuggees Lists all the debuggees that the user has access to. |
REST Resource: v2.debugger.debuggees.breakpoints
| Methods | |
|---|---|
delete |
DELETE /v2/debugger/debuggees/{debuggeeId}/breakpoints/{breakpointId} Deletes the breakpoint from the debuggee. |
get |
GET /v2/debugger/debuggees/{debuggeeId}/breakpoints/{breakpointId} Gets breakpoint information. |
list |
GET /v2/debugger/debuggees/{debuggeeId}/breakpoints Lists all breakpoints for the debuggee. |
set |
POST /v2/debugger/debuggees/{debuggeeId}/breakpoints/set Sets the breakpoint to the debuggee. |